[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

gtk breakage (was: Re: Port of Gnapster)



On Sun, Mar 18, 2001 at 06:33:01PM +0000, Christian Weisgerber wrote:
> joshua stein <jcs_(_at_)_rt_(_dot_)_fm> wrote:
> 
> > > BTW I've been having problems in general with ports that depend on gtk since
> > > I've upgraded to 1.2.9. Did something change?
> > 
> > Yes.  This is Brad's commit message[:]
> > 
> > !!NOTE!!: header files for Gtk+ have changed locations so this WILL
> > cause breakage.

Well it looks like it can't find glib.h. This is the same error as some other
gtk+ programs (sylpheed, gimp, lopster).

glib.h happens to be in: /usr/local/include/glib-1.2/glib.h, but this doesn't
seem to be reflected in my gtk-config script.

--Relevant lines--

glib_libs="-L/usr/local/lib -lgmodule -lglib"
glib_cflags="-I/usr/local/include/glib"
glib_thread_libs="-L/usr/local/lib -lgmodule -lgthread -lglib"
glib_thread_cflags="-I/usr/local/include/glib"

--End relevant lines--

Did I actually find a problem, or is it my system? If it is only me could some
one suggest the proper way to fix it?

Thanks.



Visit your host, monkey.org